%define anolis_release 1
Name:             python-flake8
Version:          5.0.3
Release:          %{anolis_release}%{?dist}
Summary:          Python code checking using pyflakes, pycodestyle, and mccabe

License:          MIT
URL:              https://github.com/PyCQA/flake8
Source:           %{url}/archive/%{version}/flake8-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python3-devel

# tox config mixes coverage and tests, so we specify this manually instead
BuildRequires:    python3-pytest

%description
Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe
script. It runs all the tools by launching the single flake8 script,
and displays the warnings in a per-file, merged output.

It also adds a few features: files that contain "# flake8: noqa" are
skipped, lines that contain a "# noqa" comment at the end will not
issue warnings, Git and Mercurial hooks are included, a McCabe
complexity checker is included, and it is extendable through
flake8.extension entry points.

%package -n python%{python3_pkgversion}-flake8
Summary:          %{summary}

%description -n python%{python3_pkgversion}-flake8
Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe
script. It runs all the tools by launching the single flake8 script,
and displays the warnings in a per-file, merged output.

It also adds a few features: files that contain "# flake8: noqa" are
skipped, lines that contain a "# noqa" comment at the end will not
issue warnings, Git and Mercurial hooks are included, a McCabe
complexity checker is included, and it is extendable through
flake8.extension entry points.

%prep
%autosetup -p1 -n flake8-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files flake8

# Backwards-compatibility symbolic links from when we had both Python 2 and 3
ln -s flake8 %{buildroot}%{_bindir}/flake8-3
ln -s flake8 %{buildroot}%{_bindir}/flake8-%{python3_version}
ln -s flake8 %{buildroot}%{_bindir}/python3-flake8


%check
%pytest -v


%files -n python%{python3_pkgversion}-flake8 -f %{pyproject_files}
%{_bindir}/flake8
%{_bindir}/flake8-3
%{_bindir}/flake8-%{python3_version}
%{_bindir}/python3-flake8


%changelog
* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 5.0.3-1
- Import pacakge for anolis 23
